<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iQuestManager Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iQuestManager Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iQuestManager" --><!-- doxytag: inherits="iBase" -->
<p>This is the quest manager.  
 <a href="structiQuestManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="questmanager_8h_source.html">tools/questmanager.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iQuestManager:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiQuestManager.png" usemap="#iQuestManager_map" alt=""/>
  <map id="iQuestManager_map" name="iQuestManager_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,99,24"/>
</map>
 </div></div>

<p><a href="structiQuestManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a72864859727427b913838b2a73043974">AddActionReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *id_par, const char *pcclass_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add an 'action' reward factory to a response factory.  <a href="#a72864859727427b913838b2a73043974"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <br class="typebreak"/>
<a class="el" href="structiChangePropertyRewardFactory.html">iChangePropertyRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#adab90e8984c891851def011eb34008e5">AddChangePropertyReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *prop_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add a 'changeproperty' reward factory to a response factory.  <a href="#adab90e8984c891851def011eb34008e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#ae25a9009348190cff1e5c1e068d2dd27">AddCreateEntityReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *template_par, const char *name_par, const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celEntityTemplateParams</a> &amp;tpl_params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add a 'createentity' reward factory to a response factory.  <a href="#ae25a9009348190cff1e5c1e068d2dd27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a63492dcaa4714deebbfda167360df30a">AddCsSequenceReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *sequence_par, const char *delay_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add an 'cssequence' reward factory to a response factory.  <a href="#a63492dcaa4714deebbfda167360df30a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a6bdaabd35a805df6f7efabbd7d252be7">AddDebugPrintReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *msg)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add a 'debugprint' reward factory to a response factory.  <a href="#a6bdaabd35a805df6f7efabbd7d252be7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a91e3b35ea8e6c85cbe423d3c1edd43f4">AddDestroyEntityReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add a 'destroyentity' reward factory to a response factory.  <a href="#a91e3b35ea8e6c85cbe423d3c1edd43f4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#af43fea5ff78fd0ea88e0505ccedaa512">AddInventoryReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *child_entity_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add an 'inventory' reward factory to a response factory.  <a href="#af43fea5ff78fd0ea88e0505ccedaa512"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a4d2bc4108a5e8f7afbcde46797102856">AddMessageReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *id_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add a 'message' reward factory to a response factory.  <a href="#a4d2bc4108a5e8f7afbcde46797102856"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a3ecbde49a9d29134528c6b0c68ad34db">AddNewStateReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *state_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add a 'newstate' reward factory to a response factory.  <a href="#a3ecbde49a9d29134528c6b0c68ad34db"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#abc45458f72ae6c6e8883dd8e267f543c">AddSequenceFinishReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *sequence_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add an 'sequencefinish' reward factory to a response factory.  <a href="#abc45458f72ae6c6e8883dd8e267f543c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a0023903a2c0deec53d275946be714932">AddSequenceReward</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *sequence_par, const char *delay_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to add an 'sequence' reward factory to a response factory.  <a href="#a0023903a2c0deec53d275946be714932"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiQuestFactory.html">iQuestFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#af7e110437a79d5fcb4f190bef935f457">CreateQuestFactory</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create an empty quest factory.  <a href="#af7e110437a79d5fcb4f190bef935f457"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiQuestFactory.html">iQuestFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a0e778377cbe10fb06fb0507a125ce880">GetQuestFactory</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a quest factory by name.  <a href="#a0e778377cbe10fb06fb0507a125ce880"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiRewardType.html">iRewardType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a18b239b4a70de7f49629c0c65189610c">GetRewardType</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a reward type from the quest manager.  <a href="#a18b239b4a70de7f49629c0c65189610c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiSeqOpType.html">iSeqOpType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a11afcd1743512ffa027032acb597ee6e">GetSeqOpType</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a seqop type from the quest manager.  <a href="#a11afcd1743512ffa027032acb597ee6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerType.html">iTriggerType</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#ad4d4aa879be167c7c962cd396193fa52">GetTriggerType</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a trigger type from the quest manager.  <a href="#ad4d4aa879be167c7c962cd396193fa52"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#ac8fcc591814839a9d6af627420401f93">Load</a> (<a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Load a bunch of quest factories.  <a href="#ac8fcc591814839a9d6af627420401f93"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#af47216e2d7b12ea3380472870bbe5644">RegisterRewardType</a> (<a class="el" href="structiRewardType.html">iRewardType</a> *trigger)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a quest reward type.  <a href="#af47216e2d7b12ea3380472870bbe5644"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a2431f1de00a37b51a4e4c1c68240b8e5">RegisterSeqOpType</a> (<a class="el" href="structiSeqOpType.html">iSeqOpType</a> *seqop)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a seqop reward type.  <a href="#a2431f1de00a37b51a4e4c1c68240b8e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a7cf827acee4d312a8742e19f111075f8">RegisterTriggerType</a> (<a class="el" href="structiTriggerType.html">iTriggerType</a> *trigger)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Register a quest trigger type.  <a href="#a7cf827acee4d312a8742e19f111075f8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a793672a32b468fdd81d9581d7e139d20">RemoveQuestFactories</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete all quest factories.  <a href="#a793672a32b468fdd81d9581d7e139d20"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#ab7c9f7fcdc6ae6134e18b65196c1bcfa">RemoveQuestFactory</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Delete a quest factory by name.  <a href="#ab7c9f7fcdc6ae6134e18b65196c1bcfa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a2c5e1458063bea68a42d63d95868896f">SetEnterSectorTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *sector_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set an 'entersector' trigger factory to a response factory.  <a href="#a2c5e1458063bea68a42d63d95868896f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a0e54308f57b8b53e7b9f57a2cc31629d">SetInventoryTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *child_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set an 'inventory' trigger factory to a response factory.  <a href="#a0e54308f57b8b53e7b9f57a2cc31629d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a1148f5a6f3fa04c5b1c3e6dd61173256">SetMeshEnterSectorTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *sector_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'meshentersector' trigger factory to a response factory.  <a href="#a1148f5a6f3fa04c5b1c3e6dd61173256"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a915132755275f44f8c51972088efdc50">SetMeshSelectTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set an 'meshsel' trigger factory to a response factory.  <a href="#a915132755275f44f8c51972088efdc50"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a794ac575bf3ce02e049e28655ca92d3d">SetMessageTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *mask_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set an 'message' trigger factory to a response factory.  <a href="#a794ac575bf3ce02e049e28655ca92d3d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a49beef9769b370bb846607f432ede364">SetOperationTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *operation_par, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRefArray.html">csRefArray</a>&lt; <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> &gt; &amp;trigger_factories)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'operation' trigger factory to a response factory.  <a href="#a49beef9769b370bb846607f432ede364"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#abc48635ccea8052ab87a85bc89138e97">SetPropertyChangeTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *prop_par, const char *value_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'propertychange' trigger factory to a response factory.  <a href="#abc48635ccea8052ab87a85bc89138e97"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a25797c7aaf7000b995a88d77b2a19f0d">SetSequenceFinishTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *sequence_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'sequencefinish' trigger factory to a response factory.  <a href="#a25797c7aaf7000b995a88d77b2a19f0d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#ad90b1b168f76040e4f74727a3abbf0cb">SetTimeoutTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *timeout_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'timeout' trigger factory to a response factory.  <a href="#ad90b1b168f76040e4f74727a3abbf0cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a77eb5aa0e1aded24ebde28b068fab27f">SetTriggerTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, bool do_leave=false)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'trigger' trigger factory to a response factory.  <a href="#a77eb5aa0e1aded24ebde28b068fab27f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiQuestManager.html#a6f252521657c562bb8cb3ce391024e50">SetWatchTrigger</a> (<a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *response, const char *entity_par, const char *target_entity_par, const char *checktime_par, const char *radius_par)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Convenience method to set a 'watch' trigger factory to a response factory.  <a href="#a6f252521657c562bb8cb3ce391024e50"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is the quest manager. </p>
<p>This manager can be used to handle quests. A quest is basically a state machine which can advance from state to state when a trigger activates. It can also hand out 'rewards'. </p>

<p>Definition at line <a class="el" href="questmanager_8h_source.html#l00230">230</a> of file <a class="el" href="questmanager_8h_source.html">questmanager.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a72864859727427b913838b2a73043974"></a><!-- doxytag: member="iQuestManager::AddActionReward" ref="a72864859727427b913838b2a73043974" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *id_par, const char *pcclass_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a72864859727427b913838b2a73043974">iQuestManager::AddActionReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>id_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>pcclass_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add an 'action' reward factory to a response factory. </p>
<p>You need to specify exactly which entity and which action </p>

</div>
</div>
<a class="anchor" id="adab90e8984c891851def011eb34008e5"></a><!-- doxytag: member="iQuestManager::AddChangePropertyReward" ref="adab90e8984c891851def011eb34008e5" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *prop_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiChangePropertyRewardFactory.html">iChangePropertyRewardFactory</a>* <a class="el" href="structiQuestManager.html#adab90e8984c891851def011eb34008e5">iQuestManager::AddChangePropertyReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prop_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add a 'changeproperty' reward factory to a response factory. </p>
<p>You need to specify exactly which value should be modified after calling this. </p>

</div>
</div>
<a class="anchor" id="ae25a9009348190cff1e5c1e068d2dd27"></a><!-- doxytag: member="iQuestManager::AddCreateEntityReward" ref="ae25a9009348190cff1e5c1e068d2dd27" args="(iQuestTriggerResponseFactory *response, const char *template_par, const char *name_par, const celEntityTemplateParams &amp;tpl_params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#ae25a9009348190cff1e5c1e068d2dd27">iQuestManager::AddCreateEntityReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>template_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsHash.html">celEntityTemplateParams</a> &amp;&#160;</td>
          <td class="paramname"><em>tpl_params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add a 'createentity' reward factory to a response factory. </p>
<p>You need to specify exactly which template to create a copy of, the name of the created entity and any other parameters required by the template. </p>

</div>
</div>
<a class="anchor" id="a63492dcaa4714deebbfda167360df30a"></a><!-- doxytag: member="iQuestManager::AddCsSequenceReward" ref="a63492dcaa4714deebbfda167360df30a" args="(iQuestTriggerResponseFactory *response, const char *sequence_par, const char *delay_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a63492dcaa4714deebbfda167360df30a">iQuestManager::AddCsSequenceReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sequence_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>delay_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add an 'cssequence' reward factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a6bdaabd35a805df6f7efabbd7d252be7"></a><!-- doxytag: member="iQuestManager::AddDebugPrintReward" ref="a6bdaabd35a805df6f7efabbd7d252be7" args="(iQuestTriggerResponseFactory *response, const char *msg)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a6bdaabd35a805df6f7efabbd7d252be7">iQuestManager::AddDebugPrintReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add a 'debugprint' reward factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a91e3b35ea8e6c85cbe423d3c1edd43f4"></a><!-- doxytag: member="iQuestManager::AddDestroyEntityReward" ref="a91e3b35ea8e6c85cbe423d3c1edd43f4" args="(iQuestTriggerResponseFactory *response, const char *entity_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a91e3b35ea8e6c85cbe423d3c1edd43f4">iQuestManager::AddDestroyEntityReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add a 'destroyentity' reward factory to a response factory. </p>
<p>You need to specify exactly which entity to destroy </p>

</div>
</div>
<a class="anchor" id="af43fea5ff78fd0ea88e0505ccedaa512"></a><!-- doxytag: member="iQuestManager::AddInventoryReward" ref="af43fea5ff78fd0ea88e0505ccedaa512" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *child_entity_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#af43fea5ff78fd0ea88e0505ccedaa512">iQuestManager::AddInventoryReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>child_entity_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add an 'inventory' reward factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a4d2bc4108a5e8f7afbcde46797102856"></a><!-- doxytag: member="iQuestManager::AddMessageReward" ref="a4d2bc4108a5e8f7afbcde46797102856" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *id_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a4d2bc4108a5e8f7afbcde46797102856">iQuestManager::AddMessageReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>id_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add a 'message' reward factory to a response factory. </p>
<p>You need to specify the message and which entity to send it to. </p>

</div>
</div>
<a class="anchor" id="a3ecbde49a9d29134528c6b0c68ad34db"></a><!-- doxytag: member="iQuestManager::AddNewStateReward" ref="a3ecbde49a9d29134528c6b0c68ad34db" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *state_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a3ecbde49a9d29134528c6b0c68ad34db">iQuestManager::AddNewStateReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>state_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add a 'newstate' reward factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="abc45458f72ae6c6e8883dd8e267f543c"></a><!-- doxytag: member="iQuestManager::AddSequenceFinishReward" ref="abc45458f72ae6c6e8883dd8e267f543c" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sequence_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#abc45458f72ae6c6e8883dd8e267f543c">iQuestManager::AddSequenceFinishReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sequence_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add an 'sequencefinish' reward factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a0023903a2c0deec53d275946be714932"></a><!-- doxytag: member="iQuestManager::AddSequenceReward" ref="a0023903a2c0deec53d275946be714932" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sequence_par, const char *delay_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardFactory.html">iRewardFactory</a>* <a class="el" href="structiQuestManager.html#a0023903a2c0deec53d275946be714932">iQuestManager::AddSequenceReward</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sequence_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>delay_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to add an 'sequence' reward factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="af7e110437a79d5fcb4f190bef935f457"></a><!-- doxytag: member="iQuestManager::CreateQuestFactory" ref="af7e110437a79d5fcb4f190bef935f457" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiQuestFactory.html">iQuestFactory</a>* <a class="el" href="structiQuestManager.html#af7e110437a79d5fcb4f190bef935f457">iQuestManager::CreateQuestFactory</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create an empty quest factory. </p>
<p>Returns 0 on failure (quest factory with that name already exists). </p>

</div>
</div>
<a class="anchor" id="a0e778377cbe10fb06fb0507a125ce880"></a><!-- doxytag: member="iQuestManager::GetQuestFactory" ref="a0e778377cbe10fb06fb0507a125ce880" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiQuestFactory.html">iQuestFactory</a>* <a class="el" href="structiQuestManager.html#a0e778377cbe10fb06fb0507a125ce880">iQuestManager::GetQuestFactory</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a quest factory by name. </p>

</div>
</div>
<a class="anchor" id="a18b239b4a70de7f49629c0c65189610c"></a><!-- doxytag: member="iQuestManager::GetRewardType" ref="a18b239b4a70de7f49629c0c65189610c" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiRewardType.html">iRewardType</a>* <a class="el" href="structiQuestManager.html#a18b239b4a70de7f49629c0c65189610c">iQuestManager::GetRewardType</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a reward type from the quest manager. </p>
<p>Returns 0 if no such reward type exists. </p>

</div>
</div>
<a class="anchor" id="a11afcd1743512ffa027032acb597ee6e"></a><!-- doxytag: member="iQuestManager::GetSeqOpType" ref="a11afcd1743512ffa027032acb597ee6e" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiSeqOpType.html">iSeqOpType</a>* <a class="el" href="structiQuestManager.html#a11afcd1743512ffa027032acb597ee6e">iQuestManager::GetSeqOpType</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a seqop type from the quest manager. </p>
<p>Returns 0 if no such seqop type exists. </p>

</div>
</div>
<a class="anchor" id="ad4d4aa879be167c7c962cd396193fa52"></a><!-- doxytag: member="iQuestManager::GetTriggerType" ref="ad4d4aa879be167c7c962cd396193fa52" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerType.html">iTriggerType</a>* <a class="el" href="structiQuestManager.html#ad4d4aa879be167c7c962cd396193fa52">iQuestManager::GetTriggerType</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a trigger type from the quest manager. </p>
<p>Returns 0 if no such trigger type exists. </p>

</div>
</div>
<a class="anchor" id="ac8fcc591814839a9d6af627420401f93"></a><!-- doxytag: member="iQuestManager::Load" ref="ac8fcc591814839a9d6af627420401f93" args="(iDocumentNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiQuestManager.html#ac8fcc591814839a9d6af627420401f93">iQuestManager::Load</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Load a bunch of quest factories. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">node</td><td>is a node containing &lt;quest&gt; children. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>false on error (reporter is used to report). </dd></dl>

</div>
</div>
<a class="anchor" id="af47216e2d7b12ea3380472870bbe5644"></a><!-- doxytag: member="iQuestManager::RegisterRewardType" ref="af47216e2d7b12ea3380472870bbe5644" args="(iRewardType *trigger)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiQuestManager.html#af47216e2d7b12ea3380472870bbe5644">iQuestManager::RegisterRewardType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiRewardType.html">iRewardType</a> *&#160;</td>
          <td class="paramname"><em>trigger</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register a quest reward type. </p>
<p>Quest rewards can be used by quests to give out some kind of reward to the game. Returns false on failure (reward type with that name already exists).</p>
<p>The following predefined reward types are automatically registered in the quest manager:</p>
<ul>
<li>cel.rewards.debugprint: print a debug message on stdout. See <a class="el" href="structiDebugPrintRewardFactory.html" title="This interface is implemented by the reward that prints debug messages on standard output...">iDebugPrintRewardFactory</a>.</li>
<li>cel.questreward.newstate: switch to a new state. See <a class="el" href="structiNewStateQuestRewardFactory.html" title="This interface is implemented by the reward that switches to another state.">iNewStateQuestRewardFactory</a>.</li>
<li>cel.rewards.changeproperty: change a property. See <a class="el" href="structiChangePropertyRewardFactory.html" title="This interface is implemented by the reward that changes the value of a property (either on a propert...">iChangePropertyRewardFactory</a>.</li>
<li>cel.rewards.inventory: manipulate inventory. See <a class="el" href="structiInventoryRewardFactory.html" title="This interface is implemented by the reward that manipulates the inventory.">iInventoryRewardFactory</a>.</li>
<li>cel.rewards.sequence: fire sequence. See <a class="el" href="structiSequenceRewardFactory.html" title="This interface is implemented by the reward that fires a sequence.">iSequenceRewardFactory</a>.</li>
<li>cel.rewards.sequencefinish: finish sequence. See <a class="el" href="structiSequenceFinishRewardFactory.html" title="This interface is implemented by the reward that finishes a sequence.">iSequenceFinishRewardFactory</a>.</li>
<li>cel.rewards.message: send a message to some entity. See <a class="el" href="structiMessageRewardFactory.html" title="This interface is implemented by the reward that sends a message to some entity (the behaviour will g...">iMessageRewardFactory</a>.</li>
<li>cel.rewards.action: send an action to some property class on an entity. See <a class="el" href="structiActionRewardFactory.html" title="This interface is implemented by the reward that sends an action to some entity or entity class prope...">iActionRewardFactory</a>.</li>
<li>cel.rewards.destroyentity: remove an entity from the physical. layer. See <a class="el" href="structiDestroyEntityRewardFactory.html" title="This interface is implemented by the reward that destroys an entity.">iDestroyEntityRewardFactory</a>.</li>
<li>cel.rewards.createentity: create an entity from a template. See <a class="el" href="structiCreateEntityRewardFactory.html" title="This interface is implemented by the createentity reward, which can create entities from entity templ...">iCreateEntityRewardFactory</a>. </li>
</ul>

</div>
</div>
<a class="anchor" id="a2431f1de00a37b51a4e4c1c68240b8e5"></a><!-- doxytag: member="iQuestManager::RegisterSeqOpType" ref="a2431f1de00a37b51a4e4c1c68240b8e5" args="(iSeqOpType *seqop)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiQuestManager.html#a2431f1de00a37b51a4e4c1c68240b8e5">iQuestManager::RegisterSeqOpType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiSeqOpType.html">iSeqOpType</a> *&#160;</td>
          <td class="paramname"><em>seqop</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register a seqop reward type. </p>
<p>Seqop rewards can be used by quest sequences to define operations in the sequence. Returns false on failure (swqop type with that name already exists).</p>
<p>The following predefined sequence operation types are automatically registered in the quest manager:</p>
<ul>
<li>cel.seqops.debugprint: print a debug message on stdout. See <a class="el" href="structiDebugPrintSeqOpFactory.html" title="This interface is implemented by the seqop that prints debug messages on standard output...">iDebugPrintSeqOpFactory</a>.</li>
<li>cel.seqops.transform: transform a mesh. See <a class="el" href="structiTransformSeqOpFactory.html" title="This interface is implemented by the seqop that transforms meshes.">iTransformSeqOpFactory</a>.</li>
<li>cel.seqops.movepath: move a mesh along a path. See <a class="el" href="structiMovePathSeqOpFactory.html" title="This interface is implemented by the seqop that moves meshes along a path.">iMovePathSeqOpFactory</a>.</li>
<li>cel.seqops.light: animate a light color. See <a class="el" href="structiLightSeqOpFactory.html" title="This interface is implemented by the seqop that animates light colors.">iLightSeqOpFactory</a>.</li>
<li>cel.seqops.property: animate a property class property. See <a class="el" href="structiPropertySeqOpFactory.html" title="This interface is implemented by the seqop that transforms property class properties.">iPropertySeqOpFactory</a>. </li>
</ul>

</div>
</div>
<a class="anchor" id="a7cf827acee4d312a8742e19f111075f8"></a><!-- doxytag: member="iQuestManager::RegisterTriggerType" ref="a7cf827acee4d312a8742e19f111075f8" args="(iTriggerType *trigger)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiQuestManager.html#a7cf827acee4d312a8742e19f111075f8">iQuestManager::RegisterTriggerType</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiTriggerType.html">iTriggerType</a> *&#160;</td>
          <td class="paramname"><em>trigger</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Register a quest trigger type. </p>
<p>Quest triggers can be used by quests to decide when to go to another state or when to activate a reward. Returns false on failure (trigger type with that name already exists).</p>
<p>The following predefined trigger types are automatically registered in the quest manager:</p>
<ul>
<li>cel.triggers.entersector: triggers when a camera (from entity) enters a sector. See <a class="el" href="structiEnterSectorTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sector is entered.">iEnterSectorTriggerFactory</a>.</li>
<li>cel.triggers.meshentersector: triggers when a mesh (from entity) enters a sector. See <a class="el" href="structiEnterSectorTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sector is entered.">iEnterSectorTriggerFactory</a>.</li>
<li>cel.triggers.timeout: triggers after a specified time. See <a class="el" href="structiTimeoutTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain time has expired.">iTimeoutTriggerFactory</a>.</li>
<li>cel.triggers.propertychange: triggers when a property changes. See <a class="el" href="structiPropertyChangeTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain property passes a test on some...">iPropertyChangeTriggerFactory</a>.</li>
<li>cel.triggers.sequencefinish: triggers when a sequence finishes. See <a class="el" href="structiSequenceFinishTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain sequence finishes.">iSequenceFinishTriggerFactory</a>.</li>
<li>cel.triggers.trigger: triggers when a pctrigger fires. See <a class="el" href="structiTriggerTriggerFactory.html" title="This interface is implemented by the trigger that fires when a pctrigger fires.">iTriggerTriggerFactory</a>.</li>
<li>cel.triggers.message: triggers when a message is received. See <a class="el" href="structiMessageTriggerFactory.html" title="This interface is implemented by the trigger that fires when a message is sent.">iMessageTriggerFactory</a>.</li>
<li>cel.triggers.inventory: triggers when an object enters inventory. See <a class="el" href="structiInventoryTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain inventory gets some entity...">iInventoryTriggerFactory</a>.</li>
<li>cel.triggers.meshselect: triggers when a mesh is selected. See <a class="el" href="structiMeshSelectTriggerFactory.html" title="This interface is implemented by the trigger that fires when a certain mesh is selected.">iMeshSelectTriggerFactory</a>.</li>
<li>cel.triggers.watch: triggers when a mesh becomes visible. See <a class="el" href="structiWatchTriggerFactory.html" title="This interface is implemented by the trigger that fires when a mesh becomes visible.">iWatchTriggerFactory</a>.</li>
<li>cel.triggers.operation: perform a logical operation on several child nodes. See <a class="el" href="structiOperationTriggerFactory.html" title="This interface is implemented by the operation trigger, that allows to combine several triggers using...">iOperationTriggerFactory</a>. </li>
</ul>

</div>
</div>
<a class="anchor" id="a793672a32b468fdd81d9581d7e139d20"></a><!-- doxytag: member="iQuestManager::RemoveQuestFactories" ref="a793672a32b468fdd81d9581d7e139d20" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiQuestManager.html#a793672a32b468fdd81d9581d7e139d20">iQuestManager::RemoveQuestFactories</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete all quest factories. </p>

</div>
</div>
<a class="anchor" id="ab7c9f7fcdc6ae6134e18b65196c1bcfa"></a><!-- doxytag: member="iQuestManager::RemoveQuestFactory" ref="ab7c9f7fcdc6ae6134e18b65196c1bcfa" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiQuestManager.html#ab7c9f7fcdc6ae6134e18b65196c1bcfa">iQuestManager::RemoveQuestFactory</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Delete a quest factory by name. </p>

</div>
</div>
<a class="anchor" id="a2c5e1458063bea68a42d63d95868896f"></a><!-- doxytag: member="iQuestManager::SetEnterSectorTrigger" ref="a2c5e1458063bea68a42d63d95868896f" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sector_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a2c5e1458063bea68a42d63d95868896f">iQuestManager::SetEnterSectorTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sector_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set an 'entersector' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a0e54308f57b8b53e7b9f57a2cc31629d"></a><!-- doxytag: member="iQuestManager::SetInventoryTrigger" ref="a0e54308f57b8b53e7b9f57a2cc31629d" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *child_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a0e54308f57b8b53e7b9f57a2cc31629d">iQuestManager::SetInventoryTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>child_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set an 'inventory' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a1148f5a6f3fa04c5b1c3e6dd61173256"></a><!-- doxytag: member="iQuestManager::SetMeshEnterSectorTrigger" ref="a1148f5a6f3fa04c5b1c3e6dd61173256" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sector_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a1148f5a6f3fa04c5b1c3e6dd61173256">iQuestManager::SetMeshEnterSectorTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sector_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'meshentersector' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a915132755275f44f8c51972088efdc50"></a><!-- doxytag: member="iQuestManager::SetMeshSelectTrigger" ref="a915132755275f44f8c51972088efdc50" args="(iQuestTriggerResponseFactory *response, const char *entity_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a915132755275f44f8c51972088efdc50">iQuestManager::SetMeshSelectTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set an 'meshsel' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a794ac575bf3ce02e049e28655ca92d3d"></a><!-- doxytag: member="iQuestManager::SetMessageTrigger" ref="a794ac575bf3ce02e049e28655ca92d3d" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *mask_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a794ac575bf3ce02e049e28655ca92d3d">iQuestManager::SetMessageTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>mask_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set an 'message' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a49beef9769b370bb846607f432ede364"></a><!-- doxytag: member="iQuestManager::SetOperationTrigger" ref="a49beef9769b370bb846607f432ede364" args="(iQuestTriggerResponseFactory *response, const char *operation_par, csRefArray&lt; iTriggerFactory &gt; &amp;trigger_factories)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a49beef9769b370bb846607f432ede364">iQuestManager::SetOperationTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>operation_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsRefArray.html">csRefArray</a>&lt; <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>trigger_factories</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'operation' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="abc48635ccea8052ab87a85bc89138e97"></a><!-- doxytag: member="iQuestManager::SetPropertyChangeTrigger" ref="abc48635ccea8052ab87a85bc89138e97" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *prop_par, const char *value_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#abc48635ccea8052ab87a85bc89138e97">iQuestManager::SetPropertyChangeTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>prop_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>value_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'propertychange' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a25797c7aaf7000b995a88d77b2a19f0d"></a><!-- doxytag: member="iQuestManager::SetSequenceFinishTrigger" ref="a25797c7aaf7000b995a88d77b2a19f0d" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *sequence_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a25797c7aaf7000b995a88d77b2a19f0d">iQuestManager::SetSequenceFinishTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sequence_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'sequencefinish' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="ad90b1b168f76040e4f74727a3abbf0cb"></a><!-- doxytag: member="iQuestManager::SetTimeoutTrigger" ref="ad90b1b168f76040e4f74727a3abbf0cb" args="(iQuestTriggerResponseFactory *response, const char *timeout_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#ad90b1b168f76040e4f74727a3abbf0cb">iQuestManager::SetTimeoutTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>timeout_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'timeout' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a77eb5aa0e1aded24ebde28b068fab27f"></a><!-- doxytag: member="iQuestManager::SetTriggerTrigger" ref="a77eb5aa0e1aded24ebde28b068fab27f" args="(iQuestTriggerResponseFactory *response, const char *entity_par, bool do_leave=false)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a77eb5aa0e1aded24ebde28b068fab27f">iQuestManager::SetTriggerTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>do_leave</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'trigger' trigger factory to a response factory. </p>

</div>
</div>
<a class="anchor" id="a6f252521657c562bb8cb3ce391024e50"></a><!-- doxytag: member="iQuestManager::SetWatchTrigger" ref="a6f252521657c562bb8cb3ce391024e50" args="(iQuestTriggerResponseFactory *response, const char *entity_par, const char *target_entity_par, const char *checktime_par, const char *radius_par)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="structiTriggerFactory.html">iTriggerFactory</a>* <a class="el" href="structiQuestManager.html#a6f252521657c562bb8cb3ce391024e50">iQuestManager::SetWatchTrigger</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structiQuestTriggerResponseFactory.html">iQuestTriggerResponseFactory</a> *&#160;</td>
          <td class="paramname"><em>response</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>target_entity_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>checktime_par</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>radius_par</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convenience method to set a 'watch' trigger factory to a response factory. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>tools/<a class="el" href="questmanager_8h_source.html">questmanager.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
